import pandas as pd
import numpy as np

# サンプルデータ作成
data = {"A": [1, 2, np.nan, 4], "B": [np.nan, 2, 3, 4], "C": [1, np.nan, np.nan, 4]}
df = pd.DataFrame(data)

# 欠損値の確認
print("欠損値のあるデータ:")
print(df)

# 欠損値補完
df_filled = df.fillna({"A": df["A"].mean(), "B": df["B"].median(), "C": 0})
print("\n欠損値補完後のデータ:")
print(df_filled)