import pandas as pd

# サンプルデータ作成
data = {"Date": ["2023-01-01", "2023-02-01", "2023-03-01"], "Price": ["100", "200", "300"]}
df = pd.DataFrame(data)

# データ型の変換
df["Date"] = pd.to_datetime(df["Date"])
df["Price"] = pd.to_numeric(df["Price"])

print("データ型変換後のデータ:")
print(df)
print("\nデータ型:")
print(df.dtypes)